﻿Public Module frmProcessAnnotations

    Private MyGdViewer As GdPicture14.GdViewer
    Private MyGDPDocumentFormat As GdPicture14.DocumentFormat
    Private MyGdPictureImaging As GdPicture14.GdPictureImaging
    Private MyGdPicturePDF As GdPicture14.GdPicturePDF
    Private MyGDPImageID As Integer
    Private TemporarySavedFile As String

    Function Main() As Integer
        Dim FileToProcess As String
        Dim Status As GdPicture14.GdPictureStatus

        Try

            'Load the document into the MyGdViewer
            '---------------------------------------------------------------------------------------------------------
            'Create a valid PDF here
            FileToProcess = "C:\temp\input.pdf"
            '---------------------------------------------------------------------------------------------------------

            'Instantiate the GdPictureImaging object
            MyGdPictureImaging = New GdPicture14.GdPictureImaging

            'Get the document's format as a GdPicture DocumentFormat object
            MyGDPDocumentFormat = GdPicture14.GdPictureDocumentUtilities.GetDocumentFormatFromFileName(FileToProcess)

            'Instantiate the GdPicture control
            MyGdViewer = New GdPicture14.GdViewer

            'Load the document based on its format

            'Use the GdPicturePDF class to handle the document
            MyGdPicturePDF = New GdPicture14.GdPicturePDF


            If MyGdPicturePDF.LoadFromFile(FileToProcess, False) = GdPicture14.GdPictureStatus.OK Then
                If MyGdViewer.DisplayFromGdPicturePDF(MyGdPicturePDF) <> GdPicture14.GdPictureStatus.OK Then
                    MsgBox("Unable to load MyGdViewer")
                End If
            End If

            'Save to a temp file
            TemporarySavedFile = "C:\temp\temp_saved.pdf"

            Status = MyGdViewer.SaveDocumentToPDF(TemporarySavedFile)
            If Status <> GdPicture14.GdPictureStatus.OK Then
                MessageBox.Show("File can't be saved to a PDF. Status: " + MyGdViewer.GetStat().ToString(), "GdViewer.SaveDocumentToPDF")
            Else
                'Copy the Temporary Saved File into the FileToProcess file
                If File.Exists(FileToProcess) = True Then
                    File.Delete(FileToProcess)
                End If
                File.Copy(TemporarySavedFile, FileToProcess)
            End If

            'Release from the document from memory
            MyGdViewer.CloseDocument()
            MyGdPicturePDF.CloseDocument()

        Catch ex As Exception
        End Try

        Return Status

    End Function

End Module
